package refactoringtestplugin.changereturntype;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.MethodReferences;
import refactoringtestplugin.commongenerators.MethodReferences.ExpectParameters;
import org.testorrery.IGenerator;

public class SingleClassMethodReference extends ChangeReturnTypeTest {
	
	@Override
	public String getDescription() {
		return "A single class containing a method m referenced from mPrime. mPrime may overload m. Refactor to change the return type of m";
	}
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/singleclassmethodreference"; 
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return MethodReferences.singleClassMethodReference(ExpectParameters.NONE);
	}
}
