package refactoringtestplugin.encapsulatefield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;

import org.testorrery.IGenerator;

public class DualClass2FieldsParentDeclaration extends EncapsulateFieldTest{
	protected static final String FIELD_TO_REFACTOR2 = "theField2";
	protected static final String CLASS_NAME2 = "B";

	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/dualclass2fieldsparentdeclaration";
	}	
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.dualClass2FieldsParentDeclaration(CLASS_NAME, CLASS_NAME2, FIELD_TO_REFACTOR, FIELD_TO_REFACTOR2);
	}

	@Override
	public String getDescription() {
		return "Two classes A and B. 2 optionally referenced fields. A always includes the declaration of the first field and an expression that referenec this field. Refactor to encapsulate f.";
	}

}
