package refactoringtestplugin.encapsulatefield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;
import org.testorrery.IGenerator;


public class SingleClassFieldReference extends EncapsulateFieldTest {
	
	@Override
	public String getDescription() {
		return "A single class A with field referenced in some expression. Refactor to encapsulate f.";
	}
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/singleclassfieldreference";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.singleClassFieldReference(FIELD_TO_REFACTOR);
	}
}
