package refactoringtestplugin.pullupfield;

import org.eclipse.jdt.core.dom.CompilationUnit;
import refactoringtestplugin.commongenerators.FieldReferences;
import org.testorrery.IGenerator;

public class DualClass2FieldsChildDeclaration extends PullUpFieldTest {
	protected static final String FIELD_TO_REFACTOR2 = "f";
	protected static final String CLASS_NAME2 = "A";
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/dualclass2fieldsChildDecl";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.dualClass2FieldsChildDeclaration(CLASS_NAME2, CLASS_NAME, FIELD_TO_REFACTOR, FIELD_TO_REFACTOR2);
	}

	@Override
	public String getDescription() {
		return "Two classes A and B. 2 optionally initialized fields. A always includes the declaration of the first field.";
	}
}