package refactoringtestplugin.pullupfield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;
import org.testorrery.IGenerator;

public class TripleClass2FieldsChildDeclaration extends PullUpFieldTest {
	protected static final String FIELD_TO_REFACTOR2 = "f";
	protected static final String CLASS_NAME2 = "A";
	protected static final String CLASS_NAME3 = "C";
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/tripleclass2fieldsChildDecl";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.tripleClass2FieldsChildDeclaration(CLASS_NAME2, CLASS_NAME, CLASS_NAME3, FIELD_TO_REFACTOR, FIELD_TO_REFACTOR2);
	}

	@Override
	public String getDescription() {
		return "Three classes A, B and C. 2 optionally initialized fields. A always includes the declaration of the first field and B extends C";
	}
}