package org.testorrery;

/**
 * Exception indicating that a generator encountered an error when generating a value
 */
public class GenerationException extends RuntimeException {	
	private static final long serialVersionUID = 1L;
	
	public GenerationException() {
		super();
	}
	public GenerationException(String message) {
		super(message);
	}
	public GenerationException(Throwable innerException) {
		super(innerException);
	}
	public GenerationException(String message, Throwable innerException) {
		super(message, innerException);
	}
	
}
