package org.testorrery;

/**
 * Interface for a test that will be executed on a generated value.
 * 
 * @see Filter
 * 
 * @param <ValueType> The type of object being tested.
 */
public interface IPredicate<ValueType> {
	boolean evaluate(ValueType testObject);
}
