package org.testorrery.tests;

import org.junit.Assert;
import org.junit.Test;
import org.testorrery.Literal;


public class LiteralTest {
	
	@Test
	public void basicFunctionality() {
		String testValue = "Test";
		Literal<String> literal = new Literal<String>(testValue);
		Assert.assertTrue(literal.isReset());
		Assert.assertTrue(literal.hasNext());
		
		String literalValue = literal.next();
		Assert.assertEquals(testValue, literalValue);
		Assert.assertEquals(testValue, literal.current());	
		Assert.assertEquals(false, literal.isReset());
		Assert.assertEquals(false, literal.hasNext());
		
	}
	
	@Test
	public void testIteration() {
		String testValue = "Test";
		Literal<String> literal = new Literal<String>(testValue);
		Assert.assertEquals(testValue, literal.next());
	}
	
}
