package org.testorrery.tests.examples;

import org.junit.Test;
import org.testorrery.GeneratorTester;
import org.testorrery.examples.IntegerRangeGenerator;


public class IntegerRangeGeneratorTest {
	
	@Test()
	public void basicDemo() {
		IntegerRangeGenerator intGen = new IntegerRangeGenerator(-20, 20);
		
		GeneratorTester.testExpectedCount(intGen, 41);
	}
	
	@Test
	public void stepDemo() {
		IntegerRangeGenerator intGen = new IntegerRangeGenerator(-5, 5, 2);
		GeneratorTester.testExpectedObjects(intGen, -5, -3, -1, 1, 3, 5);
	}
	
}
