package edu.uiuc.astgen.classrelationships;

import org.eclipse.jdt.core.dom.TypeDeclaration;


/**
 * Interface for a type that consumes two type declarations and links them in a particular way
 */
public interface RelationshipBuilder {
	/**
	 * Adds AST fragments to the given type declarations, linking them in a particular way
	 */
	void build(TypeDeclaration a, TypeDeclaration b);
}
