package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.Test;

import edu.uiuc.astgen.basic.InfixExpressionGenerator;
import edu.uiuc.astgen.basic.PostFixExpressionGenerator;
import edu.uiuc.astgen.basic.PrimitiveTypeGenerator;
import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.SingleVariableDeclarationGenerator;
import edu.uiuc.astgen.test.ASTNodeGeneratorTestUtil;

import org.testorrery.GeneratorTester;


public class PostFixExpressionGeneratorTest {
	@Test() public void testEnumerate3Values() {	
		PrimitiveTypeGenerator primitiveTypeGen = new PrimitiveTypeGenerator(
				PrimitiveType.BYTE);
		
		SimpleNameGenerator nameGen = new SimpleNameGenerator("v1");
		SingleVariableDeclarationGenerator variableGen = new SingleVariableDeclarationGenerator(nameGen, primitiveTypeGen);
		
		PostFixExpressionGenerator postfixGenerator = new PostFixExpressionGenerator(variableGen);		
		GeneratorTester.testExpectedCount(
				postfixGenerator, 2);			
		
	}
}
