package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.Test;

import edu.uiuc.astgen.basic.NumberLiteralGenerator;
import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.SwitchCaseGenerator;
import org.testorrery.Chain;
import org.testorrery.GeneratorTester;

public class SwitchCaseGeneratorTest {

	@Test
	public void DefaultSwitchCase() {		
		GeneratorTester.testExpectedCount(SwitchCaseGenerator.getNewDefaultSwitchCaseGenerator(), 2);
	}
	
	@Test
	public void basicFunctionality() {		
		NumberLiteralGenerator numberGen = new NumberLiteralGenerator(3, PrimitiveType.BYTE);
		SwitchCaseGenerator switchCaseGen = new SwitchCaseGenerator(numberGen);		
		GeneratorTester.testExpectedCount(switchCaseGen, 3);
	}		
}
