package refactoringtestplugin.encapsulatefield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;

import org.testorrery.IGenerator;

public class DualClassFieldGetterSetter extends EncapsulateFieldTest {
	protected static final String CLASS_NAME2 = "B";
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/dualclassfieldgettersetter";
	}	
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.dualClassGetterSetter(CLASS_NAME, CLASS_NAME2, FIELD_TO_REFACTOR);
	}

	@Override
	public String getDescription() {
		return "Two classes A and B. There is one field declared in class A and a getter/setter declared in one of these classes";
	}

}
