package refactoringtestplugin.encapsulatefield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;

import org.testorrery.IGenerator;

public class SingleClass2FieldsOptInitialized extends EncapsulateFieldTest{
	protected static final String FIELD_TO_REFACTOR2 = "theField2";

	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.singleClass2FieldsOptInitialized(CLASS_NAME, FIELD_TO_REFACTOR, FIELD_TO_REFACTOR2);
	}
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/singleclass2fieldsoptinitialized";
	}	

	@Override
	public String getDescription() {
		return "A single class A with two fields optionally referenced. Refactor to encapsulate f.";
	}

}
