package refactoringtestplugin.removeparameter;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.ParameterReferences;

import org.testorrery.IGenerator;

public class MethodWithParameterReference extends RemoveParameterTest {

	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/methodwithparameterreference";
	}
	
	@Override
	public String getDescription() {
		return "A single class A with a method m. m has an argument a that is referenced in the method in various ways. Refactor by removing parameter.";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return ParameterReferences.methodWithParameterReference(TARGET_METHOD_NAME, TARGET_PARAMETER_NAME);
	}



}
