package refactoringtestplugin.removeparameter;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.MethodReferences;
import refactoringtestplugin.commongenerators.MethodReferences.ExpectParameters;

import org.testorrery.IGenerator;

public class SingleClassMethodReference extends RemoveParameterTest {

	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/singleclassmethodreference";
	}
	
	@Override
	public String getDescription() {
		return "A single class A with a method m. m has a parameter that is not referenced in the method but is referenced from another method mPrime. Refactor by removing the parameter.";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return MethodReferences.singleClassMethodReference(ExpectParameters.ONE);
	}
}
