package refactoringtestplugin.renamefield;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.FieldReferences;

import org.testorrery.IGenerator;

public class DualClassFieldReference extends RenameFieldTest {

	@Override
	public String getDescription() {
		return "Two classes A and B. A declares a field and B references it in some expression. Refactor to rename f.";
	}
	
	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/dualclassfieldreference";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return FieldReferences.dualClassFieldReference(FIELD_TO_REFACTOR);
	}
}
