package refactoringtestplugin.renamemethod;

import org.eclipse.jdt.core.dom.CompilationUnit;

import refactoringtestplugin.commongenerators.MethodReferences;
import refactoringtestplugin.commongenerators.MethodReferences.ExpectParameters;

import org.testorrery.IGenerator;

public class SingleClassMethodReference extends RenameMethodTest {

	@Override
	protected String getLogDirPath() {
		return super.getLogDirPath() + "/singleclassmethodreference";
	}
	@Override
	public String getDescription() {
		return "A single class A containing a method m referenced from a method mPrime. mPrime may override m. Refactor to rename m to n.";
	}
	
	@Override
	protected IGenerator<CompilationUnit> getCUGen() {
		return MethodReferences.singleClassMethodReference(ExpectParameters.ZERO_OR_ONE);
	}

}
