package org.testorrery;

/**
 * Interface for a generator that can be duplicated, modulo iteration state.
 * 
 * @author <a href="mailto:bdaniel3@uiuc.edu">Brett Daniel</a>
 */
public interface ICopyableGenerator<T> extends IGenerator<T> {
	ICopyableGenerator<T> copy();
}
