package org.testorrery;

/**
 * Interface for an object that can be "expanded" by a RecursiveGenerator.
 * Used to generate recursive or circular data structures.
 * 
 * @param <ValueType> The type of value that the generator returns
 */
public interface IRecursive<ValueType> {
	public IGenerator<ValueType> recurse();
}
