package org.testorrery;

/**
 * Exception thrown when a generator or iteration link is unable to iterate itself or its children
 */
public class IterationException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	public IterationException() {
		super();
	}
	
	public IterationException(String message) {
		super(message);
	}
}
