package org.testorrery.examples;

public class List<ValueType> {
	public ValueType value;
	public List<ValueType> next;
	
	public List(ValueType value) {
		this.value = value;
	}
	
	public List(ValueType value, List<ValueType> next) {
		this(value);
		this.next = next;
	}
	
	public String toString() {
		String toReturn = value.toString();
		if (next != null) {
			toReturn += ", " + next.toString();
		}
		return toReturn;
	}
}
