package org.testorrery.link;

/**
 * Interface for a visitor that traverses an iteration tree
 */
public interface IIteratorVisitor {	
	void visit(BinaryLink link);
	void visit(CombinatoricLink link);
	void visit(SequentialLink link);	
	void visit(GeneratorLink link);
}
