package edu.uiuc.astgen.statements;

import org.eclipse.jdt.core.dom.Expression;
import org.eclipse.jdt.core.dom.Statement;

import edu.uiuc.astgen.nestedexpressions.OperandType;

public class ExpressionStatementBuilder extends StatementWithExpressionBuilder {
	public Statement build(Expression innerExpression) {
		return ast.newExpressionStatement(innerExpression);
	}
	public boolean applicableTo(OperandType operandType) {
		return operandType == OperandType.VOID;
	}
}