package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.*;

import edu.uiuc.astgen.basic.ArrayTypeGenerator;
import edu.uiuc.astgen.basic.PrimitiveTypeGenerator;
import org.testorrery.Chain;
import org.testorrery.GeneratorTester;

public class ArrayTypeGeneratorTest {
	
	@Test
	public void testBasic() {
		ArrayTypeGenerator arrTypGen = new ArrayTypeGenerator();
		arrTypGen.setSubscriptNumberGen(new Chain<Integer>(0, 2));
		arrTypGen.setTypeGen(new PrimitiveTypeGenerator(PrimitiveType.INT, PrimitiveType.BOOLEAN));
		
		GeneratorTester.testExpectedStrings(arrTypGen, 
				"int", 
				"int[][]", 
				"boolean", 
				"boolean[][]");
	}
}
