package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.Test;

import edu.uiuc.astgen.basic.AssignmentExpressionForVariableGenerator;
import edu.uiuc.astgen.basic.PrimitiveTypeGenerator;
import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.SingleVariableDeclarationGenerator;

import org.testorrery.GeneratorTester;

public class AssignmentExpressionForVariableGeneratorTest {
	@Test()
	public void testBasicFunctionality() throws Exception {
		PrimitiveTypeGenerator primitiveTypeGen = new PrimitiveTypeGenerator(
				PrimitiveType.BOOLEAN, PrimitiveType.BYTE);
		
		SimpleNameGenerator nameGen = new SimpleNameGenerator("v1");
		SingleVariableDeclarationGenerator variableGen = new SingleVariableDeclarationGenerator(nameGen, primitiveTypeGen);

		AssignmentExpressionForVariableGenerator assignmentExpression = new AssignmentExpressionForVariableGenerator(variableGen);
		GeneratorTester.testExpectedCount(assignmentExpression, 2);
	}
}