package edu.uiuc.astgen.test.basic;

import org.eclipse.jdt.core.dom.PrimitiveType;
import org.junit.Test;

import edu.uiuc.astgen.basic.AssignmentExpressionForVariableGenerator;
import edu.uiuc.astgen.basic.InfixExpressionGenerator;
import edu.uiuc.astgen.basic.ParenthesizedExpressionGenerator;
import edu.uiuc.astgen.basic.PrimitiveTypeGenerator;
import edu.uiuc.astgen.basic.SimpleNameGenerator;
import edu.uiuc.astgen.basic.SingleVariableDeclarationGenerator;
import edu.uiuc.astgen.test.ASTNodeGeneratorTestUtil;

import org.testorrery.GeneratorTester;


public class ParenthesizedExpressionGeneratorTest {
	@Test() public void testParenthesized_SimpleNameExpression() {
		SimpleNameGenerator nameGen2 = new SimpleNameGenerator("v1");		
		ParenthesizedExpressionGenerator parenGen = new ParenthesizedExpressionGenerator(nameGen2);		
		GeneratorTester.testExpectedCount(parenGen, 1);			
		
	}
}
