package edu.uiuc.astgen.test.methodrelationships;

import org.eclipse.jdt.core.dom.AST;
import org.junit.Test;

import edu.uiuc.astgen.basic.FieldDeclarationGenerator;
import edu.uiuc.astgen.basic.MethodDeclarationGenerator;
import edu.uiuc.astgen.methodrelationships.DualClassMethodChildGenerator;
import edu.uiuc.astgen.test.ASTNodeGeneratorTestUtil;

import org.testorrery.GeneratorTester;

public class DualClassMethodChildGeneratorTest {
AST ast = ASTNodeGeneratorTestUtil.getSampleAST();
	
	@Test
	public void testBasicFunctionality() {
		MethodDeclarationGenerator methDeclGen = new MethodDeclarationGenerator("m"); 
		FieldDeclarationGenerator fieldDecGen = new FieldDeclarationGenerator("theField");
		DualClassMethodChildGenerator methodRefGen = new DualClassMethodChildGenerator(fieldDecGen, methDeclGen, "A", "B");
		
		GeneratorTester.testExpectedCount(methodRefGen, 24 * 6);
		
	}
}
