package edu.uiuc.astgen.test.methodrelationships;

import org.eclipse.jdt.core.dom.AST;
import org.junit.Test;

import edu.uiuc.astgen.basic.FieldDeclarationGenerator;
import edu.uiuc.astgen.basic.MethodDeclarationGenerator;
import edu.uiuc.astgen.methodrelationships.TripleClassMethodChildGenerator;
import edu.uiuc.astgen.test.ASTNodeGeneratorTestUtil;

import org.testorrery.GeneratorTester;

public class TripleClassMethodChildGeneratorTest {
AST ast = ASTNodeGeneratorTestUtil.getSampleAST();
	
	@Test
	public void testBasicFunctionality() {
		MethodDeclarationGenerator methDeclGen = new MethodDeclarationGenerator("m"); 
		FieldDeclarationGenerator fieldDecGen = new FieldDeclarationGenerator("theField");
		TripleClassMethodChildGenerator methodRefGen = new TripleClassMethodChildGenerator(fieldDecGen, methDeclGen, "A", "B", "C");
		
		GeneratorTester.testExpectedCount(methodRefGen, 24 * 6 * 2);
		
	}
}
